Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.pluginmanager
Class Utils

    java.lang.Object
      madkit.pluginmanager.Utils

    public class Utils

extends java.lang.Object

Version:
  $Revision: 1.2 $
Author:
  Sebastian Rodriguez - sebastian.rodriguez@utbm.fr

Constructor Summary
`Utils()`

Method Summary
`static boolean` | `compareMD5(java.io.File file, java.lang.String md5)`
`static boolean` | `copyFile(java.io.File orig, java.io.File dest, boolean overwrite)`
`static boolean` | `copyStream(java.io.InputStream in, java.io.FileOutputStream out)`
`static java.lang.String` | `md5sum(java.io.File file)`
`static boolean` | `writeToFile(java.lang.String string, java.io.FileOutputStream out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Utils

    public Utils()

Method Detail

### copyFile

    public static boolean copyFile(java.io.File orig,
                                   java.io.File dest,
                                   boolean overwrite)

### copyStream

    public static boolean copyStream(java.io.InputStream in,
                                     java.io.FileOutputStream out)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeToFile

    public static boolean writeToFile(java.lang.String string,
                                      java.io.FileOutputStream out)

### md5sum

    public static java.lang.String md5sum(java.io.File file)
                                   throws java.security.NoSuchAlgorithmException,
                                          java.io.FileNotFoundException,
                                          java.io.IOException

  Throws:
    `java.security.NoSuchAlgorithmException`
    `java.io.FileNotFoundException`
    `java.io.IOException`

### compareMD5

    public static boolean compareMD5(java.io.File file,
                                     java.lang.String md5)
                              throws java.security.NoSuchAlgorithmException,
                                     java.io.FileNotFoundException,
                                     java.io.IOException

  Throws:
    `java.security.NoSuchAlgorithmException`
    `java.io.FileNotFoundException`
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.